LogisticOperatorList

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.fenalco.entities
Class LogisticOperatorList

    java.lang.Object
      com.fenalco.entities.LogisticOperatorList

    public class LogisticOperatorList

extends java.lang.Object

Esta clase representa el listado de operadores logísticos dentro del sistema, permite obtener los datos todos los operadores agrupándolos en un solo objeto.

Author:
  Néstor Romero León

Field Summary
`private java.util.Hashtable` | `logisticOperators` Este `Hashtable` agrupa los objetos del tipo `LogisticOperator` que conforman el listado, está diseñado de la siguiente forma: key: id del operador logístico `logisticOperatorId` value: Objeto del tipo `LogisticOperator`

Constructor Summary
`LogisticOperatorList()`
`LogisticOperatorList(int cityId)` Constructor que recibe como parámetro un identificador de ciudad dentro del sistema, con el cual carga un listado de los operadores logísticos de la ciudad especificada desde la base de datos llamando al método `loadData`.

Method Summary
`java.util.Hashtable` | `getLogisticOperators()` Consultor para el atributo logisticOperators.
`boolean` | `loadData()`
`boolean` | `loadData(int cityId)` Método que realiza la operación de carga desde la base de datos hacia el objeto, este método utiliza el método `query` de la clase `SQLUtilities` para realizar la consulta sobre la base de datos.
`static void` | `main(java.lang.String[] args)`
`void` | `setLogisticOperators(java.util.Hashtable logisticOperators)` Modificador para el atributo logisticOperators.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### logisticOperators

    private java.util.Hashtable logisticOperators

  Este `Hashtable` agrupa los objetos del tipo `LogisticOperator` que conforman el listado, está diseñado de la siguiente forma: key: id del operador logístico `logisticOperatorId` value: Objeto del tipo `LogisticOperator`

Constructor Detail

### LogisticOperatorList

    public LogisticOperatorList()

### LogisticOperatorList

    public LogisticOperatorList(int cityId)

  Constructor que recibe como parámetro un identificador de ciudad dentro del sistema, con el cual carga un listado de los operadores logísticos de la ciudad especificada desde la base de datos llamando al método `loadData`. Este constructor puede recibir el parámetro por defecto (-1) para cargar una lista de todos los operadores logísticos. Este constructor será llamado a la hora de presentar un listado de operadores logísticos al usuario y al realizar búsquedas por ciudad sobre el mismo.

  Parameters:
    `cityId` - Identificador de la ciudad en la base de datos

Method Detail

### loadData

    public boolean loadData()

### loadData

    public boolean loadData(int cityId)

  Método que realiza la operación de carga desde la base de datos hacia el objeto, este método utiliza el método `query` de la clase `SQLUtilities` para realizar la consulta sobre la base de datos. Se recibe como parámetro un identificador de ciudad que representa ya sea a una ciudad en la base de datos o el parámetro por defecto (-1). Con este parámetro se carga un listado de los operadores de dicha ciudad o si se recibe el parámetro por defecto se carga un listado general de todos los operadores logísticos.

  Parameters:
    `cityId` - Identificadorde la ciudad en la base de datos
  Returns:
    Valor booleano que indica si la operación tuvo éxito o no.

### getLogisticOperators

    public java.util.Hashtable getLogisticOperators()

  Consultor para el atributo logisticOperators.

  Returns:
    Valor del atributo logisticOperators.

### setLogisticOperators

    public void setLogisticOperators(java.util.Hashtable logisticOperators)

  Modificador para el atributo logisticOperators.

  Parameters:
    `logisticOperators` - Nuevo valor del atributo logisticOperators.

### main

    public static void main(java.lang.String[] args)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD